# OpenLayers.Format

Base class for format reading/writing a variety of formats. Subclasses of OpenLayers.Format are expected to have read and write methods.

Summary

OpenLayers.Format | Base class for format reading/writing a variety of formats.
Properties |
externalProjection | {OpenLayers.Projection} When passed a externalProjection and internalProjection, the format will reproject the geometries it reads or writes.
internalProjection | {OpenLayers.Projection} When passed a externalProjection and internalProjection, the format will reproject the geometries it reads or writes.
data | {Object} When keepData is true, this is the parsed string sent to <read>.
keepData | {Object} Maintain a reference (data) to the most recently read data.
Constructor |
OpenLayers.Format | Instances of this class are not useful.
Functions |
destroy | Clean up.

### Properties

### externalProjection

{OpenLayers.Projection} When passed a externalProjection and internalProjection, the format will reproject the geometries it reads or writes. The externalProjection is the projection used by the content which is passed into read or which comes out of write. In order to reproject, a projection transformation function for the specified projections must be available. This support may be provided via proj4js or via a custom transformation function. See {OpenLayers.Projection.addTransform} for more information on custom transformations.

### internalProjection

{OpenLayers.Projection} When passed a externalProjection and internalProjection, the format will reproject the geometries it reads or writes. The internalProjection is the projection used by the geometries which are returned by read or which are passed into write. In order to reproject, a projection transformation function for the specified projections must be available. This support may be provided via proj4js or via a custom transformation function. See {OpenLayers.Projection.addTransform} for more information on custom transformations.

### data

{Object} When keepData is true, this is the parsed string sent to <read>.

### keepData

{Object} Maintain a reference (data) to the most recently read data. Default is false.

### Constructor

### OpenLayers.Format

Instances of this class are not useful. See one of the subclasses.

#### Parameters

options | {Object} An optional object with properties to set on the format

#### Valid options

keepData | {Boolean} If true, upon <read>, the data property will be set to the parsed object (e.g. the json or xml object).

#### Returns

An instance of OpenLayers.Format

### Functions

### destroy

> destroy: function()

Clean up.

Methods for coordinate transforms between coordinate systems.
{Object} Maintain a reference (data) to the most recently read data.
{Object} When keepData is true, this is the parsed string sent to read.

> destroy: function()

Clean up.

> OpenLayers.Projection.addTransform = function( | from,
> | to,
> | method | )

Set a custom transform method between two projections.
Close